enum Weekdays {
    Mon,
    Tue,
    Wed,
    Thu,
    Fri,
    Sat,
    Sun,
}

fn main() {
    let today = Weekdays::Fri;
    match today {
        Weekdays::Mon => println!("月曜日です！"),
        Weekdays::Tue => println!("火曜日です！"),
        Weekdays::Wed => println!("水曜日です！"),
        Weekdays::Thu => println!("木曜日です！"),
        Weekdays::Fri => println!("金曜日です！"),
        Weekdays::Sat => println!("土曜日です！"),
        Weekdays::Sun => println!("日曜日です！"),
    }
}